export interface AmazonStoreVO {
  /**
   * 主键ID
   */
  id: string | number;

  /**
   * 所属用户ID（关联sys_user）
   */
  userId: string | number;

  /**
   * 领星ERP店铺标识ID
   */
  sid: string | number;

  /**
   * 站点ID
   */
  mid: string | number;

  /**
   * 店铺名称
   */
  storeName: string;

  /**
   * 亚马逊店铺ID（如AZTOL**）
   */
  sellerId: string | number;

  /**
   * 店铺账户名称
   */
  accountName: string;

  /**
   * 店铺账号ID
   */
  sellerAccountId: string | number;

  /**
   * 站点简称（如NA/EU）
   */
  region: string;

  /**
   * 商城所在国家
   */
  country: string;

  /**
   * 亚马逊市场ID
   */
  marketplaceId: string | number;

  /**
   * 广告授权 0未授权 1已授权
   */
  hasAdsSetting: number;

  /**
   * 店铺状态 0停用 1正常 2异常 3欠费
   */
  status: number;

}

export interface AmazonStoreForm extends BaseEntity {
  /**
   * 主键ID
   */
  id?: string | number;

  /**
   * 所属用户ID（关联sys_user）
   */
  userId?: string | number;

  /**
   * 领星ERP店铺标识ID
   */
  sid?: string | number;

  /**
   * 站点ID
   */
  mid?: string | number;

  /**
   * 店铺名称
   */
  storeName?: string;

  /**
   * 亚马逊店铺ID（如AZTOL**）
   */
  sellerId?: string | number;

  /**
   * 店铺账户名称
   */
  accountName?: string;

  /**
   * 店铺账号ID
   */
  sellerAccountId?: string | number;

  /**
   * 站点简称（如NA/EU）
   */
  region?: string;

  /**
   * 商城所在国家
   */
  country?: string;

  /**
   * 亚马逊市场ID
   */
  marketplaceId?: string | number;

  /**
   * 广告授权 0未授权 1已授权
   */
  hasAdsSetting?: number;

  /**
   * 店铺状态 0停用 1正常 2异常 3欠费
   */
  status?: number;

}

export interface AmazonStoreQuery extends PageQuery {

  /**
   * 所属用户ID（关联sys_user）
   */
  userId?: string | number;

  /**
   * 领星ERP店铺标识ID
   */
  sid?: string | number;

  /**
   * 站点ID
   */
  mid?: string | number;

  /**
   * 店铺名称
   */
  storeName?: string;

  /**
   * 亚马逊店铺ID（如AZTOL**）
   */
  sellerId?: string | number;

  /**
   * 店铺账户名称
   */
  accountName?: string;

  /**
   * 店铺账号ID
   */
  sellerAccountId?: string | number;

  /**
   * 站点简称（如NA/EU）
   */
  region?: string;

  /**
   * 商城所在国家
   */
  country?: string;

  /**
   * 亚马逊市场ID
   */
  marketplaceId?: string | number;

  /**
   * 广告授权 0未授权 1已授权
   */
  hasAdsSetting?: number;

  /**
   * 店铺状态 0停用 1正常 2异常 3欠费
   */
  status?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



