export interface LogisticsChannelVO {
  /**
   * 渠道ID
   */
  id: string | number;

  /**
   * 物流商用户ID（关联sys_user）
   */
  userId: string | number;

  /**
   * 渠道名称
   */
  channelName: string;

  /**
   * 渠道描述
   */
  description: string;

  /**
   * 渠道类型（system=系统/custom=自定义）
   */
  channelType: string;

  /**
   * 国家
   */
  country: string;

  /**
   * 运输方式
   */
  shippingMethod: string;

}

export interface LogisticsChannelForm extends BaseEntity {
  /**
   * 渠道ID
   */
  id?: string | number;

  /**
   * 物流商用户ID（关联sys_user）
   */
  userId?: string | number;

  /**
   * 渠道名称
   */
  channelName?: string;

  /**
   * 渠道描述
   */
  description?: string;

  /**
   * 渠道类型（system=系统/custom=自定义）
   */
  channelType?: string;

  /**
   * 国家
   */
  country?: string;

  /**
   * 运输方式
   */
  shippingMethod?: string;

}

export interface LogisticsChannelQuery extends PageQuery {

  /**
   * 物流商用户ID（关联sys_user）
   */
  userId?: string | number;

  /**
   * 渠道名称
   */
  channelName?: string;

  /**
   * 渠道描述
   */
  description?: string;

  /**
   * 渠道类型（system=系统/custom=自定义）
   */
  channelType?: string;

  /**
   * 国家
   */
  country?: string;

  /**
   * 运输方式
   */
  shippingMethod?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



