export interface LogisticsOrderVO {
  /**
   * 主键（应用层生成的全局唯一ID，如雪花算法）
   */
  id: string | number;

  /**
   * FBA货件编号（亚马逊系统生成的唯一标识）
   */
  fbaShipmentId: string | number;

  /**
   * 订单编号（应用层生成的唯一业务流水号）
   */
  orderId: string;

  /**
   * 物流商ID（关联物流商信息表）
   */
  logisticsProviderId: string | number;

  /**
   * 物流商名称（冗余存储，避免高频联表查询）
   */
  logisticsProviderName: string | number;

  /**
   * 物流渠道（如空运/海运/快递等）
   */
  logisticsChannel: string;

  /**
   * 目的地仓库名称或编码
   */
  destination: string;

  /**
   * 总箱子数量（此订单包含的箱子总数）
   */
  boxQuantity: number;

  /**
   * 总货件数量（商品件数总和）
   */
  shipmentQuantity: number;

  /**
   * 亚马逊仓库实际上架日期
   */
  amazonShelfDate: string;

  /**
   * 上架时效（单位：天，从发货到上架的总天数）
   */
  shelfTimeliness: number;
}

export interface LogisticsOrderForm extends BaseEntity {
  /**
   * 主键（应用层生成的全局唯一ID，如雪花算法）
   */
  id?: string | number;

  /**
   * FBA货件编号（亚马逊系统生成的唯一标识）
   */
  fbaShipmentId?: string | number;

  /**
   * 订单编号（应用层生成的唯一业务流水号）
   */
  orderId?: string;

  /**
   * 物流商ID（关联物流商信息表）
   */
  logisticsProviderId?: string | number;

  /**
   * 物流商名称（冗余存储，避免高频联表查询）
   */
  logisticsProviderName?: string | number;

  /**
   * 物流渠道（如空运/海运/快递等）
   */
  logisticsChannel?: string;

  /**
   * 目的地仓库名称或编码
   */
  destination?: string;

  /**
   * 总箱子数量（此订单包含的箱子总数）
   */
  boxQuantity?: number;

  /**
   * 总货件数量（商品件数总和）
   */
  shipmentQuantity?: number;

  /**
   * 亚马逊仓库实际上架日期
   */
  amazonShelfDate?: string;

  /**
   * 上架时效（单位：天，从发货到上架的总天数）
   */
  shelfTimeliness?: number;
}

export interface createOrderForm {
  /**
   * FBA货件编号（亚马逊系统生成的唯一标识）
   */
  fbaShipmentId?: string | number;

  logicQuoteId?: string | number;
}

export interface LogisticsOrderQuery extends PageQuery {
  /**
   * FBA货件编号（亚马逊系统生成的唯一标识）
   */
  fbaShipmentId?: string | number;

  /**
   * 订单编号（应用层生成的唯一业务流水号）
   */
  orderId?: string;

  /**
   * 物流商ID（关联物流商信息表）
   */
  logisticsProviderId?: string | number;

  /**
   * 物流商名称（冗余存储，避免高频联表查询）
   */
  logisticsProviderName?: string | number;

  /**
   * 物流渠道（如空运/海运/快递等）
   */
  logisticsChannel?: string;

  /**
   * 目的地仓库名称或编码
   */
  destination?: string;

  /**
   * 总箱子数量（此订单包含的箱子总数）
   */
  boxQuantity?: number;

  /**
   * 总货件数量（商品件数总和）
   */
  shipmentQuantity?: number;

  /**
   * 亚马逊仓库实际上架日期
   */
  amazonShelfDate?: string;

  /**
   * 上架时效（单位：天，从发货到上架的总天数）
   */
  shelfTimeliness?: number;

  /**
   * 日期范围参数
   */
  params?: any;
}
