export interface ShipmentItemVO {
  /**
   * 主键ID
   */
  id: string | number;

  /**
   * 关联货件ID
   */
  shipmentId: string | number;

  /**
   * 商家SKU
   */
  msku: string;

  /**
   * 仓储编码
   */
  fnsku: string;

  /**
   * 发货量
   */
  quantityShipped: number;

  /**
   * 收货量
   */
  quantityReceived: number;

  /**
   * 预处理说明
   */
  prepInstruction: string;

  /**
   * 责任方
   */
  prepOwner: string;

  /**
   * 商品SKU
   */
  sku: string;

  /**
   * 有效期
   */
  expiration: string;

}

export interface ShipmentItemForm extends BaseEntity {
  /**
   * 主键ID
   */
  id?: string | number;

  /**
   * 关联货件ID
   */
  shipmentId?: string | number;

  /**
   * 商家SKU
   */
  msku?: string;

  /**
   * 仓储编码
   */
  fnsku?: string;

  /**
   * 发货量
   */
  quantityShipped?: number;

  /**
   * 收货量
   */
  quantityReceived?: number;

  /**
   * 预处理说明
   */
  prepInstruction?: string;

  /**
   * 责任方
   */
  prepOwner?: string;

  /**
   * 商品SKU
   */
  sku?: string;

  /**
   * 有效期
   */
  expiration?: string;

}

export interface ShipmentItemQuery extends PageQuery {

  /**
   * 关联货件ID
   */
  shipmentId?: string | number;

  /**
   * 商家SKU
   */
  msku?: string;

  /**
   * 仓储编码
   */
  fnsku?: string;

  /**
   * 发货量
   */
  quantityShipped?: number;

  /**
   * 收货量
   */
  quantityReceived?: number;

  /**
   * 预处理说明
   */
  prepInstruction?: string;

  /**
   * 责任方
   */
  prepOwner?: string;

  /**
   * 商品SKU
   */
  sku?: string;

  /**
   * 有效期
   */
  expiration?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



